# $Id: perl-Business-ISBN-Data.spec 8394 2010-01-05 17:26:23Z cmr $
# Authority: dries
# Upstream: brian d foy <bdfoy$cpan,org>

### EL6 ships with perl-Business-ISBN-Data-20081208-2.el6
%{?el6:# Tag: rfx}

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name Business-ISBN-Data

Summary: Data pack for Business::ISBN
Name: perl-Business-ISBN-Data
Version: 20081208
Release: 1%{?dist}
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/Business-ISBN-Data/

Packager: Dries Verachtert <dries@ulyssis.org>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://search.cpan.org/CPAN/authors/id/B/BD/BDFOY/Business-ISBN-Data-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
Requires: perl(Test::More)

%filter_from_requires /^perl*/d
%filter_setup


%description
This is a data pack for Business::ISBN.  You can update
the ISBN data without changing the version of Business::ISBN.
Most of the interesting stuff is in Business::ISBN.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

### Clean up docs
find examples/ -type f -exec %{__chmod} a-x {} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes LICENSE MANIFEST META.yml README examples/
%doc %{_mandir}/man3/Business::ISBN::Data.3*
%dir %{perl_vendorlib}/Business/
%dir %{perl_vendorlib}/Business/ISBN/
#%{perl_vendorlib}/Business/ISBN/Data/
%{perl_vendorlib}/Business/ISBN/Data.pm

%changelog
* Tue Jan  5 2010 Christoph Maser <cmr@financial.com> - 20081208-1 - 8394+/cmr
- Updated to version 20081208.

* Mon Dec 22 2008 Dag Wieers <dag@wieers.com> - 20081020-1.
- Updated to release 20081020.

* Mon Jun 18 2007 Dries Verachtert <dries@ulyssis.org> - 1.14-1
- Updated to release 1.14.

* Sun Apr 29 2007 Dries Verachtert <dries@ulyssis.org> - 1.13-1
- Updated to release 1.13.

* Fri Jun  2 2006 Dries Verachtert <dries@ulyssis.org> - 1.11-1
- Updated to release 1.11.

* Wed Jun  8 2005 Dries Verachtert <dries@ulyssis.org> - 1.10-1
- Updated to release 1.10.

* Sun Mar  6 2005 Dries Verachtert <dries@ulyssis.org> - 1.09-1
- Initial package.
